Bug 1712621 (CVE-2019-11698)

Summary: CVE-2019-11698 Mozilla: Theft of user history data through drag and drop of hyperlinks to and from bookmarks
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:55:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1714083, 1714084, 1714085, 1709218, 1709219, 1709220, 1709221, 1709222, 1714081, 1714082    
Bug Blocks: 1709216, 1714079    

Description Doran Moppert 2019-05-22 01:43:01 UTC
If a crafted hyperlink is dragged and dropped to the bookmark bar or sidebar and the resulting bookmark is subsequently dragged and dropped into the web content area, an arbitrary query of a user's browser history can be run and transmitted to the content page via `drop` event data. This allows for the theft of browser history by a malicious site. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-14/#CVE-2019-11698

Comment 1 Doran Moppert 2019-05-22 01:43:03 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Abdulrahman Alqabandi

Comment 2 errata-xmlrpc 2019-05-23 15:32:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 3 errata-xmlrpc 2019-05-23 15:48:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 4 errata-xmlrpc 2019-05-23 16:07:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269

Comment 5 Doran Moppert 2019-05-29 06:23:50 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it is potentially a risk in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-06-03 21:14:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 7 errata-xmlrpc 2019-06-03 21:15:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1309 https://access.redhat.com/errata/RHSA-2019:1309

Comment 8 errata-xmlrpc 2019-06-03 21:15:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1310 https://access.redhat.com/errata/RHSA-2019:1310